public class Comestible extends Entite{
	
	
	
	private String modele=new String();
	private String nom=new String();
	
	//private String nomEquipement=new String();
	
	private String typeObjet=new String();
	private boolean visible=true;
	private String tileStr=new String();
	private int poids=0;
	
	private int resistanceMat=0;
	private int structureMat=0;
	
	private boolean casse=false;
	
	private int nutrition=0;
	
	private int niveau=0;
	
	private String nomE=new String();
	
	
	///////
	private String trueName=new String();
	private String trueNameE=new String();
	private boolean identified=false;
	
	public String getTrueName(){
		return trueName;		
	}
	public String getTrueNameE(){
		return trueNameE;
	}
	public boolean getIdentified(){
		return identified;
	}
	public void setIdentified(boolean si){
		identified=si;
	}
	public void setTrueNames(String tn,String tnE){
		trueName=tn;
		trueNameE=tnE;
	}
	/////////////
	
	
	public Comestible(
		boolean brok,
		String modeleC,
		String name,
		String nameE,
		String typeObjetC,
		boolean visibleC,
		String tileStrC
		){
		
		casse=brok;
		modele=modeleC;
		nom=name;
		nomE=nameE;
		typeObjet=typeObjetC;
		visible=visibleC;
		tileStr=tileStrC;
		
		
	}
	
	public int getNiveau(){
		return niveau;
	}
	
	public int getNutrition(){
		return nutrition;
	}
	
	public void setNutrition(int nut){
		nutrition=nut;
	}
	
	public void setCasse(boolean broken){
		casse=broken;
		
		
	}
	
	
	public boolean getCasse(){
		return casse;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	
	public void effetNourriture(Personnage perso){
	}
	
	public void effetBoisson(Entite buveur,Monde monde,boolean lance){
	}
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	
	/*
	public String getNomDequipement(){
		return nomEquipement;
	}
	
	public void setNomDequipement(String nomEquip){
		nomEquipement=nomEquip;
	}
	*/
	
	public String getModele(){
		return modele;
	}
	
	public String getNom(){
		return nom;
	}
	
	public String getNomE(){
		return nomE;
	}
	
	
	public boolean getVisible(){
		return visible;
	}
	
	public void setVisible(boolean visibility){
		visible=visibility;
	}
	
	public String getTileStr(){
		
		if(getCasse()==true && getClass().getName().compareTo("Boisson")==0){
			return "./images/rocks.gif";
		}
		
		return tileStr;
	}
	
	public String getTypeObjet(){
		return typeObjet;
	}
}